Bug 242766 - [pata_via via82c596a] Cable select required with Western Digital drives
[pata_via via82c596a] Cable select required with Western Digital drives
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Alan Cox
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 242546
  Show dependency treegraph
 
Reported: 2007-06-05 14:17 EDT by Andre Robatino
Modified: 2013-01-13 07:04 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:07:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of "lspci -vvxx" (6.05 KB, text/plain)
2007-09-17 12:20 EDT, Andre Robatino
no flags Details
current output of "dmidecode" (62 bytes, text/plain)
2007-09-17 12:21 EDT, Andre Robatino
no flags Details
old output of "dmidecode" created on June 29, 2001 (2.51 KB, text/plain)
2007-09-17 12:23 EDT, Andre Robatino
no flags Details
output of "dmesg" (15.13 KB, text/plain)
2007-09-17 12:24 EDT, Andre Robatino
no flags Details
graphical screen when failing to find hard drive (328.12 KB, image/jpeg)
2007-10-04 18:53 EDT, Andre Robatino
no flags Details
virtual console 3 after failing to find hard drive (446.46 KB, image/jpeg)
2007-10-04 18:55 EDT, Andre Robatino
no flags Details
virtual console 4 after failing to find hard drive (459.53 KB, image/jpeg)
2007-10-04 18:56 EDT, Andre Robatino
no flags Details
dmesg output during attempted F8t3 install not finding hard drive (13.68 KB, text/plain)
2007-10-04 21:16 EDT, Andre Robatino
no flags Details
first pause in bootup (just over 30 seconds) (346.01 KB, image/jpeg)
2007-10-05 14:20 EDT, Andre Robatino
no flags Details
second pause in bootup (just over 30 seconds) (422.49 KB, image/jpeg)
2007-10-05 14:23 EDT, Andre Robatino
no flags Details
lspci -vvxx (10.97 KB, text/plain)
2007-10-24 23:05 EDT, John Reiser
no flags Details
lsmod (2.30 KB, text/plain)
2007-10-24 23:05 EDT, John Reiser
no flags Details
dmidecode (6.61 KB, text/plain)
2007-10-24 23:06 EDT, John Reiser
no flags Details
dmesg for FC6 (16.00 KB, text/plain)
2007-12-28 22:46 EST, Philip
no flags Details
dmesg for FC7 (16.00 KB, text/plain)
2007-12-28 22:46 EST, Philip
no flags Details
lspci -vvxx for FC6 (5.49 KB, text/plain)
2007-12-28 22:47 EST, Philip
no flags Details
lspci -vvxx for FC7 (5.86 KB, text/plain)
2007-12-28 22:48 EST, Philip
no flags Details
dmidecode for FC6 (13.62 KB, text/plain)
2007-12-28 22:48 EST, Philip
no flags Details
dmidecode for FC7 (13.62 KB, text/plain)
2007-12-28 22:49 EST, Philip
no flags Details
Text copied from the VC4 screen (1.25 KB, text/plain)
2007-12-30 22:40 EST, Philip
no flags Details

  None (edit)
Description Andre Robatino 2007-06-05 14:17:00 EDT
Description of problem:
  Attempted to do a local install from the F7 DVD on an 8-year-old eMachines
333cs using a new, 120 GB hard drive (WDC WD1200BB).  Upon reaching the page
where it asks how to partition the drive, the list of available devices is
empty.  Upon clicking "Next", got the following error:  "No drives found.  An
error has occurred - no valid devices were found on which to create new file
systems.  Please check your hardware for the cause of this problem."  I
subsequently did a successful install with the same hardware using the FC6 CD
set (the FC6 DVD bombed out before even getting to the boot: prompt), with the
120 GB hard drive being detected correctly.

Version-Release number of selected component (if applicable):
anaconda-11.2.0.66-1.i386

How reproducible:
always - tried several times

Steps to Reproduce:
1.  Attempt either graphical or text install with said hardware and F7 DVD.
 
Actual results:
  Hard drive not detected at all.

Expected results:
  Hard drive should be detected.

Additional info:
  I subsequently put an older, 8.6 GB drive in instead and when attempting the
install, that drive was detected correctly, though the install failed later with
bug #242546.  I tested the F7 media both with mediacheck and by verifying the
sha1sum of the burned DVD image before using.  Since the machine is 8 years old,
its BIOS seems confused as to how big the 120 GB drive actually is, but since
the FC6 installer detected it properly, clearly the OS should be able to work
around it.
Comment 1 Johannes Demel 2007-08-02 05:45:46 EDT
same problem on an soekris 4801 box
Comment 2 Christopher Brown 2007-09-13 17:39:34 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Is there any chance
that you can test with Fedora 8 Test 2, available from:

http://fedoraproject.org/wiki/Distribution/Download

As this is an installer bug I'm adding a blocker bug because its important this
issue does not recur for the next release.

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 3 Andre Robatino 2007-09-14 09:18:00 EDT
  Unfortunately, I'm unable to even boot the F8t2 DVD - after seeing the
ISOLINUX message, and a several-line text page for a fraction of a second, I get

isolinux: Disk error 10, AX=42B5, drive EF
boot failed: press a key to retry...

I had the same problem with the FC6 DVD, although the FC6 CD set worked
(unfortunately that's no longer an option).  Hopefully someone else who has the
same problem can test for it.
Comment 4 Christopher Brown 2007-09-14 10:24:50 EDT
Hello Andre,

This sounds like either a media problem or a problem with your burner. Did you
media check with shasum?

http://tinyurl.com/3chooe 

I would be inclined to try a different burner using different media and if it
still fails then try a different DVD drive if you have one available.

Cheers
Chris
Comment 5 Andre Robatino 2007-09-14 10:34:22 EDT
  I'm an expert at burning Fedora media - I verified the signature on the
SHA1SUM file, then verified the sha1sum on the downloaded ISO, then padded it
using the isopad script (though with the new drivers introduced in F7 that's not
really necessary anymore), then verified the sha1sum on the media after burning
it.  It's not a media or DVD drive problem.  It may have something to do with
the fact that the 1999 BIOS on the machine doesn't seem to understand that a HD
can be bigger than 64 GB, but that didn't stop me from being able to install
from the FC6 CD set, with the installer detecting the HD properly, so there must
be more to it than that.
Comment 6 Christopher Brown 2007-09-14 16:38:42 EDT
Hello Andre

I'm assuming you're running the latest available BIOS then. Am I correct in
saying the only difference between a successful install and a failed one is that
it fails when using a DVD and works with a CD? If that is the case then perhaps
jumper settings on the drives - are they mastered and slaved correctly for example?

Does it boot with acpi=off kernel parameter (I think there is a moment in the
installer where you can edit the boot flags)?

Cheers
Chris
Comment 7 Andre Robatino 2007-09-14 16:47:29 EDT
  It's the latest BIOS as far as I know (eMachines doesn't have any official
BIOS updates, but I found a slightly newer version years back).  The drives are
jumpered properly.  I can't edit kernel options, since the page with the command
line only shows for a fraction of a second.  I tried typing blind before it
displayed, but that was no help.

  I just downloaded and burned the Fedora Live CD.  Can it run on a machine with
only 256 MB of RAM, and if so, if I tell it to install to the HD, does the
installer work essentially the same as that for the DVD?  If so I could try
that.  I'd prefer to run the installer just to the point where it asks how to
partition the disk, so I can back out - at the moment FC6 is installed and I
don't want to change that.
Comment 8 Christopher Brown 2007-09-14 16:59:59 EDT
If you have the bandwidth and a little patience, you could try an install over
HTTP, you just need to d/l the boot cd:

http://tinyurl.com/33vz52

and then run the install from that. This would be perfect for what you wish to
do - ie. back out at HD detection time.

I think you will be struggling with 256MB on the live cd.

Cheers
Chris
Comment 9 Andre Robatino 2007-09-14 17:59:04 EDT
  I just successfully booted the Live CD (it is indeed extremely slow, though).
 When I double-clicked on the install on HD icon, there was some activity, which
eventually stopped without anything else happening.  There were also two lines
in dmesg output, something like

ata1: port is slow to respond, please be patient (status 0xd0)
ata1: SRST failed (errno=-16)

(ata1 is the HD).  When I boot up from the HD, there is a long pause before it
gets to the grub screen, which I suspect has something to do with the BIOS being
confused.  I'm guessing that the Live CD installer didn't find the HD, but am
not sure.  I may try the network install later.
Comment 10 Andre Robatino 2007-09-14 18:10:50 EDT
  Also, this box is just so old, and has had so many install-related problems
(audio, video, hardware detection, etc.) that if you can't find anyone else who
can reproduce this bug, it should probably not be a blocker, though I'd
appreciate it if you could at least keep it open a while longer.  I could try
again with test3.
Comment 11 Chuck Ebbert 2007-09-14 18:22:44 EDT
Also try adding some options to the kernel boot line. Add

  nolapic 

or

  pci=noacpi
Comment 12 Andre Robatino 2007-09-14 18:37:41 EDT
  I will try this tomorrow as I have to shut down my regular machine, boot up
the eMachine, and then endure long waits for each boot.  BTW, this machine has
never had problems with ACPI, though it does have a BIOS bug that causes
problems with APM, and so I've actually had to use acpi=force (because of the
BIOS's age, Fedora won't use ACPI by default).
Comment 13 Andre Robatino 2007-09-15 22:40:32 EDT
  I successfully started the install using the boot.iso and HTTP.  When it got
to the page asking me how to partition the drive, the list of devices was again
empty, so this bug still exists in F8t2.  BTW, since I already had a F8t2
install DVD, I tried selecting the "local CD/DVD" install method, and then
swapping in the install DVD, but it didn't accept that.  Is it supposed to work?
Comment 14 Christopher Brown 2007-09-16 15:43:05 EDT
(In reply to comment #13)
>   I successfully started the install using the boot.iso and HTTP.  When it got
> to the page asking me how to partition the drive, the list of devices was again
> empty, so this bug still exists in F8t2.  BTW, since I already had a F8t2
> install DVD, I tried selecting the "local CD/DVD" install method, and then
> swapping in the install DVD, but it didn't accept that.  Is it supposed to work?

Yes but as there seems to be gremlins in the system with regards to DVD boot on
your system its doubtful in this instance.

I completely forgot to say that if you hit "Escape" twice at install ie. at the
point where you said:

(In reply to comment #7)

> jumpered properly.  I can't edit kernel options, since the page with the command
> line only shows for a fraction of a second.  I tried typing blind before it
> displayed, but that was no help.


then you should be able to edit the boot options and add switches as Chuck
indicated.

Cheers
Chris
Comment 15 Benjamin Buetiofer 2007-09-17 03:50:28 EDT
similar problem over here: i'll boot with the dvd image then it kinda dedects
both harddisks i have, and the installer doesnt likes the partition table an
wants to initialize it, but i don't want to do this because there is also a
windows xp installed.
after clicking twice "no" it only detects the second harddisk (sdb). both are
Western digital disks, one is 160gb (which gets recognized) and the other is
~250gb, which is not found... any hint in this matter?
Comment 16 Benjamin Buetiofer 2007-09-17 03:57:59 EDT
i forgot: these disks are plain old ata disk, always worked before.. :(
Comment 17 Christopher Brown 2007-09-17 06:28:00 EDT
(In reply to comment #15)
> similar problem over here: i'll boot with the dvd image then it kinda dedects
> both harddisks i have, and the installer doesnt likes the partition table an
> wants to initialize it, but i don't want to do this because there is also a
> windows xp installed.
> after clicking twice "no" it only detects the second harddisk (sdb). both are
> Western digital disks, one is 160gb (which gets recognized) and the other is
> ~250gb, which is not found... any hint in this matter?

I don't think yours is a duplicate Benjamin - the installer wants to initialise
the partition table but won't overwrite the windows partition unless you
expressly ask for it do so. If you refuse it write-access to the first disk and
its partition table then most likely it excludes this from the rest of the
install process.
Comment 18 Andre Robatino 2007-09-17 08:14:35 EDT
  In the "Additional info:" I should have mentioned that my father has a machine
which is almost identical (same MB, different CPU, DVD drive and HD) and he
could install properly from the F7 DVD, including detecting the HD, which in his
case is only 20 GB (and I do have the same model DVD drive as him, just in a
different machine, so I could try swapping it into the eMachine to see if it can
boot from that).  The BIOS seems to have a limitation of 65535 MB on how big a
HD it can recognize, since I see that number on the BIOS screen when booting up,
instead of 120 GB (though at least it does recognize that the drive is there). 
So that's two cases of it working with a drive smaller than 65535 MB.  It still
shouldn't prevent the OS from recognizing the drive properly, though, since it
worked with the FC6 installer and when running FC6 which is installed currently.
Comment 19 Andre Robatino 2007-09-17 08:22:42 EDT
  I just realized that the problem I have booting from DVD didn't happen when I
tried installing using the 8.6 GB HD.  So it may be that the failure to boot
from DVD may be somehow caused by the HD being too big, and not by the model of
DVD drive (which is also consistent with my father being able to install using a
20 GB HD) - of course this isn't a Fedora issue, though, since it happens before
I even get to the GRUB screen.
Comment 20 Christopher Brown 2007-09-17 09:50:53 EDT
Bad hardware seems to be the main cause of your problems however as you
installed FC6 okay it would be beneficial to get an output from the following
commands in FC6:

lspci -vvxx
dmidecode (you may need to install this)
dmesg

and attach them to this bug. I will then re-assign to the relevant maintainer,
add an F8 blocker bug and people more able to comment may then wish to do so.
Alternatively if you feel that it is faulty hardware then you may wish to close.
Your call.

Cheers
Chris
Comment 21 Andre Robatino 2007-09-17 11:43:04 EDT
  Since the FC6 installer detected my HD properly, I think it is a Fedora bug,
so it shouldn't be closed.  On the other hand, it may only be triggered with
very old hardware such as mine, in which case it probably shouldn't be a F8
blocker (unless someone with better hardware can reproduce it).  I will attach
the output of the three commands shortly.
Comment 22 Andre Robatino 2007-09-17 12:20:18 EDT
Created attachment 197571 [details]
output of "lspci -vvxx"
Comment 23 Andre Robatino 2007-09-17 12:21:26 EDT
Created attachment 197581 [details]
current output of "dmidecode"
Comment 24 Andre Robatino 2007-09-17 12:23:46 EDT
Created attachment 197591 [details]
old output of "dmidecode" created on June 29, 2001

  At the time, my machine had 128 MB of RAM.  It currently has 256 MB.	The
motherboard and CPU are the same.
Comment 25 Andre Robatino 2007-09-17 12:24:36 EDT
Created attachment 197601 [details]
output of "dmesg"
Comment 26 Christopher Brown 2007-09-17 14:11:02 EDT
Okay, re-assigning.

Cheers
Chris
Comment 27 Andre Robatino 2007-09-18 09:39:27 EDT
  Changed the summary since the bug appears to have nothing to do with the
installation method (occurs for me with either DVD or network install).
Comment 28 Johannes Demel 2007-09-24 08:52:27 EDT
(In reply to comment #2)
> There hasn't been much activity on this bug for a while. Is there any chance
> that you can test with Fedora 8 Test 2, available from:
> http://fedoraproject.org/wiki/Distribution/Download
> As this is an installer bug I'm adding a blocker bug because its important 
this
> issue does not recur for the next release.
> If the problem no longer exists then please close this bug or I'll do so in a
> few days if there is no additional information lodged.
> Cheers
> Chris


I tried again the network installation on my Soekris 4801-box, 
this time with Fedora 8 Test 2. The problem still exists -- no diskdrives
(pata/ide drive) found.

Johannes

Comment 29 Andre Robatino 2007-10-04 16:58:05 EDT
  Having the same problems with F8t3.  The DVD doesn't boot properly.  I can
successfully start a network install with a CD containing the boot.iso image,
but again it doesn't find the HD.
Comment 30 Chuck Ebbert 2007-10-04 17:07:34 EDT
(In reply to comment #29)
>   Having the same problems with F8t3.  The DVD doesn't boot properly.  I can
> successfully start a network install with a CD containing the boot.iso image,
> but again it doesn't find the HD.

What is displayed on console 4 when it fails to find the disk?
Comment 31 Andre Robatino 2007-10-04 17:12:10 EDT
  Do you mean virtual console 4 (Ctrl-Alt-F4)?  I've never accessed any of the
VCs during an install.  What type of information is supposed to be there?
Comment 32 Chuck Ebbert 2007-10-04 18:35:58 EDT
(In reply to comment #31)
>   Do you mean virtual console 4 (Ctrl-Alt-F4)?  I've never accessed any of the
> VCs during an install.  What type of information is supposed to be there?

Logs showing what drivers were loaded are in there. Try installing in text mode,
then it's easier to switch among the consoles.
Comment 33 Andre Robatino 2007-10-04 18:53:38 EDT
Created attachment 216691 [details]
graphical screen when failing to find hard drive
Comment 34 Andre Robatino 2007-10-04 18:55:29 EDT
Created attachment 216701 [details]
virtual console 3 after failing to find hard drive
Comment 35 Andre Robatino 2007-10-04 18:56:45 EDT
Created attachment 216711 [details]
virtual console 4 after failing to find hard drive
Comment 36 Chuck Ebbert 2007-10-04 19:08:46 EDT
(In reply to comment #35)
> Created an attachment (id=216711) [edit]
> virtual console 4 after failing to find hard drive
> 

Can you scroll back in console 4 and see what it says when it loads the ATA drivers?

Normally it's something like this (from machine with working pata_amd driver):

scsi2 : pata_amd
scsi3 : pata_amd
ata3: PATA max UDMA/133 cmd 0x00000000000101f0 ctl 0x00000000000103f6 bmdma
0x0000000000013080 irq 14
ata4: PATA max UDMA/133 cmd 0x0000000000010170 ctl 0x0000000000010376 bmdma
0x0000000000013088 irq 15
ata3.00: ATAPI: HL-DT-ST DVDRAM GSA-T20L, NC08, max MWDMA2
ata3.00: configured for MWDMA2
ata4: port disabled. ignoring.
Comment 37 Andre Robatino 2007-10-04 19:22:47 EDT
  Sorry if this is a dumb question, but how do I scroll back?  I don't think the
mouse does that (or does it?).  Also, is there some easier way to capture this
information than taking photos of the screen?
Comment 38 Chuck Ebbert 2007-10-04 19:42:28 EDT
(In reply to comment #37)
>    how do I scroll back?  

Shift-PgUp / Shift-PgDn

>  Also, is there some easier way to capture this
> information than taking photos of the screen?

Not if the disk isn't found. There should be a working console in tty2 but I
doubt any useful tools are available. Booting in rescue mode should work better,
ssh should be available then.
Comment 39 Andre Robatino 2007-10-04 21:16:04 EDT
Created attachment 216911 [details]
dmesg output during attempted F8t3 install not finding hard drive

  The Shift-PgUp/PgDn trick didn't work during the install, even though it
works when running Fedora normally, so I couldn't scroll up.  However, I was
able to go to the shell in VC2, mount a floppy, and copy the output of dmesg to
it, which I've attached here.  It appears to include the information you
requested.
Comment 40 Christopher Brown 2007-10-05 08:06:53 EDT
Related to this possibly?

http://lkml.org/lkml/2007/6/7/50

It doesn't look like this patch was actually ever merged.
Comment 41 Alan Cox 2007-10-05 08:24:10 EDT
It was merged in a different form (at least its in -mm). We try a couple of
times to follow the precise spec and if that fails we just carry on and see what
happens in the hope its just a spec compliance issue on the drive (or raid
firmware) end.
Comment 42 Alan Cox 2007-10-05 08:27:29 EDT
Drive reports itself busy and never comes back from the reset. Looks like a very
machine specific derangement as I've not seen other reports like that with a
workable pattern of debug.
Comment 43 Andre Robatino 2007-10-05 11:43:20 EDT
  When I boot the machine into FC6, there are two points before getting to the
GRUB screen where there is a long pause (maybe 30 seconds to a minute).  On one
of them, I can see a BIOS screen where it appears that the BIOS detects the HD
as only 65535 MB, even though it's actually 120 GB.  (As I mentioned earlier, my
father has an almost identical machine with an identical MB but with a 20 GB HD
which is detected normally by the F7 installer and he installed it
successfully.)  After getting to the GRUB screen, everything works normally
without the long pauses (at least no longer than expected with such a slow
machine).  Could this be a BIOS issue?  If you want I could take pictures of the
two screens where it pauses so you know what I'm talking about.
Comment 44 Andre Robatino 2007-10-05 11:49:04 EDT
  Also, these pauses only happen after I installed the 120 GB drive.  They
didn't happen with my old 8.6 GB drive.
Comment 45 Andre Robatino 2007-10-05 14:20:30 EDT
Created attachment 217781 [details]
first pause in bootup (just over 30 seconds)
Comment 46 Andre Robatino 2007-10-05 14:23:16 EDT
Created attachment 217791 [details]
second pause in bootup (just over 30 seconds)

  Note the hard drive being detected by the old 1999 BIOS as 65535 MB instead
of the correct value of 120 GB.  Despite this, FC6 detects the size of the
drive properly after bootup.
Comment 47 Alan Cox 2007-10-24 19:54:01 EDT
Right so the  BIOS doesn't properly support LBA48. That explains the boot
problem, and may well explain the big drive + ISOlinux failure early on. 

Once Linux is booted however it then resets the controller and reprobes the
devices. I'm not aware of any hardware limits on the older VIA controllers, and
the fact FC6 worked for you suggests there aren't.

Given what seems to occur is that the drive simply never comes back from a reset
I'm not sure there is much I can do about this specific box.
Comment 48 Andre Robatino 2007-10-24 20:01:43 EDT
  Does that account for why my father's 20 GB drive with essentially the same
hardware works, and would a drive less than 64 GB be likely to work?  If
necessary I can just buy a smaller one, though that's not ideal.  Also, do you
think the hardware limits in the present software are likely to be removed some
time in the future?  This is a backup machine only, and I could also just leave
FC6 on it even after it goes EOL and hope it gets fixed by F9.
Comment 49 John Reiser 2007-10-24 23:04:53 EDT
In response to today's call for testing of pata_via:  I have a 3-year newer
machine (2002) that uses pata_via and claims to have a
"VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE" controller.  (This is
not the same as "via82c596a" [note the '9' in the summary of this bugzilla
report, but the '8' in mine.])  I used pungi to create a 3-CD set from Fedora 8
rawhide of Wed.Oct.24 and installed successfully.  I'm using the installed
system now to enter this Comment.

I will attach lspci and lsmod output next.
Comment 50 John Reiser 2007-10-24 23:05:39 EDT
Created attachment 236941 [details]
lspci -vvxx
Comment 51 John Reiser 2007-10-24 23:05:59 EDT
Created attachment 236951 [details]
lsmod
Comment 52 John Reiser 2007-10-24 23:06:48 EDT
Created attachment 236961 [details]
dmidecode
Comment 53 John Reiser 2007-10-24 23:08:38 EDT
 uname -a
Linux f8i0-32.localdomain 2.6.23.1-31.fc8 #1 SMP Tue Oct 23 14:42:19 EDT 2007
i686 athlon i386 GNU/Linux
Comment 54 Bill Nottingham 2007-10-25 10:13:28 EDT
FWIW, I have a box that uses pata_via for a hard drive and a CD drive (K8M800
chipset), and it works OK in F8; so it's not something common to all pata_via
installs.
Comment 55 Will Woods 2007-10-26 17:53:30 EDT
Dropping from kernel blocker - everyhing seems to indicate this is machine/drive
specific.
Comment 56 Andre Robatino 2007-11-09 11:30:50 EST
  I'm having the same problem with F8 - I used the Fedora Unity F8 CD set for
the install attempt (didn't bother trying the DVD).  I also noticed bug #372281
from someone else experiencing the same problem with F8, but with much newer
hardware.
Comment 57 Philip 2007-12-28 16:43:37 EST
I had the same problem with my Compaq Deskpro EN.
It's running FC6 but exactly the same thing happenned when I tried installing 
FC7 and, now, FC8.

I never followed it up before but would really like to sort it as this machine 
is my file server and FC6 is no longer being updated.

I'm pasting in more information from a question I asked at Fedora Forums:-
http://forums.fedoraforum.org/forum/showthread.php?t=176578
---------------------------------------------------------------

FC7 & FC8 installers don't detect my ide hard drive on Compaq Deskpro. FC6 
installs. 
I'm running FC6 on a Compaq Deskpro EN with only two drives: a 120 GB standard 
ide drive and a DVD drive.
The drives are on separate controllers, both masters.

I've been using this Compaq as my file server at home for about a year.

When I try to install either FC7 or FC8 from the DVD, the installer never 
detects my hard drive.
When it gets to the point where I need to choose where to install, there is no 
drive to choose from in the box.

With FC7 I also tried a Live install and still the drive was not detected.

Other things I've tried:-
Replacing the old 40-wire ATA cable with an 80-wire one.
Swapping the drives around
These boot options:-
all-generic-ide
pci=nomsi,nommconf
libata.dma=0
irqpoll

The result is always exactly as I've written above.

Also, I installed a second instance of FC6 on the same drive yesterday - just 
to be sure that FC6 installation still works.

-----------------------------------------------------------

A bit more information.

I tried upgrading my spare instance of FC6 using yum and these instructions:-
http://fedoraproject.org/wiki/YumUp...098d193c7fc3600
I found that trying to boot into the FC7 kernel gives me:

ata: SRST failed (errno=-16) 


Booting into the old FC6 kernel works.
So that partition is now FC7 with an FC6 kernel.
Comment 58 Philip 2007-12-28 22:45:26 EST
I did a comparison of an attempted install of FC7 and an install of FC6.
I stopped the FC6 install at the point where the FC7 one fails - the screen 
that should show the hard disks available for the installation).

In each case I then took a dmesg, a dmidecode and an lspci -xxvv.
(I used Andre's method, from comment #39, of opening a shell in virtual 
console 
2 with ctrl-alt-F2, mounting a floppy and saving the output on the floppy).

They all are attached below:- 
Comment 59 Philip 2007-12-28 22:46:25 EST
Created attachment 290514 [details]
dmesg for FC6
Comment 60 Philip 2007-12-28 22:46:55 EST
Created attachment 290515 [details]
dmesg for FC7
Comment 61 Philip 2007-12-28 22:47:34 EST
Created attachment 290516 [details]
lspci -vvxx for FC6
Comment 62 Philip 2007-12-28 22:48:06 EST
Created attachment 290517 [details]
lspci -vvxx for FC7
Comment 63 Philip 2007-12-28 22:48:37 EST
Created attachment 290518 [details]
dmidecode for FC6
Comment 64 Philip 2007-12-28 22:49:05 EST
Created attachment 290519 [details]
dmidecode for FC7
Comment 65 Philip 2007-12-28 22:53:22 EST
The thing that stood out to my inexpert eye was the lack of a probe of the IDE 
interface in the dmesg for FC6.

(The 2 dmidecode files are identical).
Comment 66 Philip 2007-12-28 23:00:08 EST
Error in comment #65:
I should have written
... the lack of a probe of the IDE interface in the dmesg for FC7.

(FC6 did do the probe).
Comment 67 Philip 2007-12-30 20:19:35 EST
Further information. I found I can install FC6 from the hard drive using the 
instructions here: http://forums.fedoraforum.org/forum/showthread.php?t=164188

The really interesting thing is that I can also boot the F8 isolinux from the 
hard drive. As before, when booting from the DVD, the F8 installation fails to 
detect the hard drive
... even though that's where it's running from!

This is where it ends up:-
"Unable to find any devices of the type
needed for this installation type.
Would you like to manually select your
driver or use a driver disk."

[Select driver]    [Use a driver disk]     [Back]
Comment 68 Philip 2007-12-30 22:40:05 EST
Created attachment 290566 [details]
Text copied from the VC4 screen

Here's the final VC4 screen for the F8 installation from the hard disk (at the
point were its asking for the driver).
Comment 69 Andre Robatino 2008-02-09 03:33:46 EST
I found a solution!  After reading

http://forums.fedoraforum.org/showthread.php?p=959778

I changed the jumper on my HD from master to cable select.  Now, not only does
the installer find the HD, but the machine now boots properly from the install
DVD, so I don't need to use CDs or network install anymore.  But why in the
world would this work, since the HD is indeed the primary master?
Comment 70 Philip 2008-02-09 12:00:28 EST
Thanks Andre, that worked for me too. I'm currently configuring my new F8
fileserver!

Comment 71 Andre Robatino 2008-03-10 08:01:13 EDT
I noticed you (Alan) just changed the name of this bug.  From the comments in
the link in comment #69, it appears the issue is that Western Digital drives
have to be jumpered differently from all other brands, so it's not even clear to
me whether this is a kernel bug at all, although it's interesting that FC6 is
able to find the drive (after a long delay), even with the "wrong" jumpering. 
Comment 72 Bug Zapper 2008-05-14 08:49:58 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 73 Philip 2008-05-14 13:08:31 EDT
As you can see in the comments, this is just as much of a problem in Fedora 8 as
in 7.
Comment 74 Philip 2008-05-14 13:17:35 EDT
As I experience the exact same problem with Fedora 8 as with Fedora 7, the
version needs changing to 8.

Unless Alan has fixed it, it will doubtless still be a problem in 9. Checking
this would require opening the computer and moving the drive jumper. 

I would be prepared to do this if there is any reason to believe the the bug
might be fixed in 9 - but not otherwise.
Comment 75 Andre Robatino 2008-05-14 13:22:59 EDT
As I mentioned above in comment #71, Western Digital specifies that their drives
should be jumpered differently than the standard way, so I suspect (but am not
sure) that this is not actually a bug.
Comment 76 Bug Zapper 2008-11-26 02:17:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 77 Bug Zapper 2009-01-09 02:07:27 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.